Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.actions
Class HttpPrefs

    java.lang.Object
      com.eviware.soapui.actions.HttpPrefs

All Implemented Interfaces:
  Prefs

    public class HttpPrefs

extends java.lang.Object
implements Prefs

Preferences class for HttpSettings

Author:
  ole.matzura

Field Summary
`static java.lang.String` | `AUTHENTICATE_PREEMPTIVELY`
`static java.lang.String` | `BIND_ADDRESS`
`static java.lang.String` | `CLOSE_CONNECTIONS_AFTER_REQUEST`
`static java.lang.String` | `ENCODED_URLS`
`static java.lang.String` | `INCLUDE_REQUEST_IN_TIME_TAKEN`
`static java.lang.String` | `INCLUDE_RESPONSE_IN_TIME_TAKEN`
`static java.lang.String` | `MAX_CONNECTIONS_PER_HOST`
`static java.lang.String` | `MAX_RESPONSE_SIZE`
`static java.lang.String` | `MAX_TOTAL_CONNECTIONS`
`static java.lang.String` | `SOCKET_TIMEOUT`
`static java.lang.String` | `USER_AGENT_HEADER`

Constructor Summary
`HttpPrefs(java.lang.String title)`

Method Summary
`SimpleForm` | `getForm()`
`void` | `getFormValues(Settings settings)`
`java.lang.String` | `getTitle()`
`StringToStringMap` | `getValues(Settings settings)`
`void` | `setFormValues(Settings settings)`
`void` | `storeValues(StringToStringMap httpValues, Settings settings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTHENTICATE_PREEMPTIVELY

    public static final java.lang.String AUTHENTICATE_PREEMPTIVELY

See Also:
  Constant Field Values

### INCLUDE_REQUEST_IN_TIME_TAKEN

    public static final java.lang.String INCLUDE_REQUEST_IN_TIME_TAKEN

See Also:
  Constant Field Values

### INCLUDE_RESPONSE_IN_TIME_TAKEN

    public static final java.lang.String INCLUDE_RESPONSE_IN_TIME_TAKEN

See Also:
  Constant Field Values

### CLOSE_CONNECTIONS_AFTER_REQUEST

    public static final java.lang.String CLOSE_CONNECTIONS_AFTER_REQUEST

See Also:
  Constant Field Values

### USER_AGENT_HEADER

    public static final java.lang.String USER_AGENT_HEADER

See Also:
  Constant Field Values

### SOCKET_TIMEOUT

    public static final java.lang.String SOCKET_TIMEOUT

See Also:
  Constant Field Values

### MAX_RESPONSE_SIZE

    public static final java.lang.String MAX_RESPONSE_SIZE

See Also:
  Constant Field Values

### ENCODED_URLS

    public static final java.lang.String ENCODED_URLS

See Also:
  Constant Field Values

### MAX_CONNECTIONS_PER_HOST

    public static final java.lang.String MAX_CONNECTIONS_PER_HOST

See Also:
  Constant Field Values

### MAX_TOTAL_CONNECTIONS

    public static final java.lang.String MAX_TOTAL_CONNECTIONS

See Also:
  Constant Field Values

### BIND_ADDRESS

    public static final java.lang.String BIND_ADDRESS

See Also:
  Constant Field Values

Constructor Detail

### HttpPrefs

    public HttpPrefs(java.lang.String title)

Method Detail

### getForm

    public SimpleForm getForm()

  Specified by:
    `getForm` in interface `Prefs`

### getFormValues

    public void getFormValues(Settings settings)

  Specified by:
    `getFormValues` in interface `Prefs`

### storeValues

    public void storeValues(StringToStringMap httpValues,
                            Settings settings)

  Specified by:
    `storeValues` in interface `Prefs`

### setFormValues

    public void setFormValues(Settings settings)

  Specified by:
    `setFormValues` in interface `Prefs`

### getValues

    public StringToStringMap getValues(Settings settings)

  Specified by:
    `getValues` in interface `Prefs`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `Prefs`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.